<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Basis\KursDetails\KursausfallSetzen;

use Kufer\Mail\EMail\IEMail;

abstract class VorlageBenachrichtigungAnEinrichtungView extends \Kufer\Web\KuferTools\Basis\View\ViewSight implements IEMail
{
  protected function getDefaultDataModulArray()
  {
    $this->viewModel->kurs->raumFreigabe = $this->viewModel->raumFreigabe;
    $this->viewModel->kurs->alleKtLoeschen = $this->viewModel->alleKtLoeschen;
    $this->viewModel->kurs->alleKtBisAufErstenLoeschen = $this->viewModel->alleKtBisAufErstenLoeschen;
    $this->viewModel->kurs->keineKtLoeschen = $this->viewModel->keineKtLoeschen;
    $this->viewModel->kurs->medienLoeschen = $this->viewModel->medienLoeschen;
    $this->viewModel->kurs->benachrichtigungTn = $this->viewModel->benachrichtigungTn;
    $this->viewModel->kurs->ausfallgrund = $this->viewModel->ausfallgrund;

    return array($this->viewModel->kurs);
  }

  protected function getDefaultExportAdapter()
  {
    return new \ExpKurse();
  }

  public function getSubject(): string
  {
    return \StringOperations::html_entity_decode($this->getNoColumn());
  }

  public function getContent(): string
  {
    return $this->getBody();
  }

  public function getAttachments(): array
  {
    return array();
  }

  public function getContentType(): int
  {
    return IEMail::TYPE_HTML;
  }
}

class VorlageBenachrichtigungAnEinrichtungViewModel
{
  public $kurs;
  public $raumFreigabe;
  public $alleKtLoeschen;
  public $alleKtBisAufErstenLoeschen;
  public $keineKtLoeschen;
  public $medienLoeschen;
  public $benachrichtigungTn;
  public $ausfallgrund;
}